%define anolis_release 5
%bcond_with tk_test
%bcond_without groff
%global modname Pod-Perldoc
%global base_version 3.28
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Pod::Man|Pod::Simple::XMLOutStream|Pod::Simple::RTF)\\)$

Name:           perl-%{modname}
Version:        3.28.01
Release:        %{anolis_release}%{?dist}
Summary:        Look up Perl documentation in Pod format
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{modname}
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MALLEN/%{modname}-%{base_version}.tar.gz

BuildRequires: make perl-generators perl-interpreter
BuildRequires: perl(Carp) perl(Config) perl(Encode) perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl) perl(File::Basename) perl(File::Spec) perl(File::Spec::Functions)
BuildRequires: perl(FindBin) perl(IO::Select) perl(strict) perl(vars) perl(warnings)
BuildRequires: perl(Pod::Man) perl(Pod::Simple::Checker) perl(Pod::Simple::RTF)
BuildRequires: perl(Pod::Simple::XMLOutStream) perl(Pod::Text) perl(Pod::Text::Color)
BuildRequires: perl(Pod::Text::Termcap) perl(Test::More) perl(blib) perl(parent)

%if !%{defined perl_bootstrap}
%if %{with tk_test}
BuildRequires:  perl(Tk) perl(Tk::Pod)
%endif
%endif

%if %{with groff}
BuildRequires:  groff-base
%endif

Requires:       perl(File::Temp) >= 0.22 perl(HTTP::Tiny) perl(IO::Handle) perl(IPC::Open3)
Requires:       perl(Pod::Simple::Checker) perl(Text::ParseWords) perl(Symbol)
Requires:       perl(Pod::Simple::RTF) >= 3.16
Requires:       perl(Pod::Simple::XMLOutStream) >= 3.16
%if %{with groff}
Requires:       groff-base
%endif

BuildArch:      noarch

%description
perldoc looks up a piece of documentation in POD format that is embedded
in the perl installation tree or in a Perl script, and displays it via
"groff -man | $PAGER". This is primarily used for the documentation for
the Perl library modules.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{modname}-%{base_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{_bindir}/perldoc
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files doc
%doc README Changes

%changelog
* Sat Apr 15 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 3.28.01-5
- Refactor the specfile

* Wed Feb 08 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.28.01-4
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.28.01-3
- rebuild with perl 5.36.0

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.28.01-2
- add doc package

* Fri Mar 04 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 3.28.01-1
- 3.28 bump
- Init for Anolis OS 23
